API Reference
Sync
Data synchronization and import/export operations
Get Sync Status
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://loading/api/sync/status"{}Start Sync
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
sources?array<>|
Specific sources to sync (optional, syncs all if not provided)
full_sync?boolean
Perform full sync instead of incremental
Default
falseResponse Body
application/json
application/json
curl -X POST "https://loading/api/sync/start" \ -H "Content-Type: application/json" \ -d '{}'{}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}curl -X POST "https://loading/api/sync/stop"{}Get Sync History
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
Default
1Range
1 <= valueper_page?integer
Items per page
Default
50Range
1 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://loading/api/sync/history"{}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Manual Sync Trigger
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
source*string
Data source to sync
options?
Additional sync options
Response Body
application/json
application/json
curl -X POST "https://loading/api/sync/manual" \ -H "Content-Type: application/json" \ -d '{ "source": "string" }'{}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}